### Method

# Gck Attribute init_empty

#### Declaration [src]

    void
    gck_attribute_init_empty (
      GckAttribute* attr,
      gulong attr_type
    )

#### Description [src]

Initialize a PKCS#11 attribute to an empty state. The attribute type will be set, but no data will be set.

When done with the attribute you should use `gck_attribute_clear()` to free the internal memory.

This method is not directly available to language bindings.

#### Parameters

`attr_type`

  Type: `gulong`

  The PKCS#11 attribute type to set on the attribute.